| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SimplePropertyRef< DataObjID > Class Template Reference

`#include <GaudiKernel/DataObjIDProperty.h>`

Inheritance diagram for SimplePropertyRef< DataObjID >:
[legend]
Collaboration diagram for SimplePropertyRef< DataObjID >:
[legend]

## Public Member Functions
| SimplePropertyRef (const std::string &name, DataObjID &value)
virtual | ~SimplePropertyRef ()
| virtual Destructor More...
Public Member Functions inherited from DataObjIDProperty
| DataObjIDProperty (const std::string &name, DataObjID &ref)
DataObjIDProperty & | operator= (const DataObjID &value)
virtual | ~DataObjIDProperty ()
virtual DataObjIDProperty * | clone () const
| clone: "virtual constructor" More...
virtual bool | load (Property &destination) const
| export the property value to the destination More...
virtual bool | assign (const Property &source)
| import the property value form the source More...
virtual std::string | toString () const
| value -> string More...
virtual void | toStream (std::ostream &out) const
| value -> stream More...
virtual StatusCode | fromString (const std::string &s)
| string -> value More...
const DataObjID & | value () const
bool | setValue (const DataObjID &value)
Public Member Functions inherited from Property
const std::string & | name () const
| property name More...
const std::string & | documentation () const
| property documentation More...
const std::type_info * | type_info () const
| property type-info More...
std::string | type () const
| property type More...
const std::function< void(Property &)> & | readCallBack () const
| get a reference to the readCallBack More...
const std::function< void(Property &)> & | updateCallBack () const
| get a reference to the updateCallBack More...
virtual Property & | declareReadHandler (std::function< void(Property &)> fun)
| set new callback for reading More...
virtual Property & | declareUpdateHandler (std::function< void(Property &)> fun)
| set new callback for update More...
template<class HT >
Property & | declareReadHandler (void(HT::*MF)(Property &), HT *instance)
template<class HT >
Property & | declareUpdateHandler (void(HT::*MF)(Property &), HT *instance)
virtual void | useReadHandler () const
| use the call-back function at reading More...
virtual bool | useUpdateHandler ()
| use the call-back function at update More...
virtual | ~Property ()=default
| virtual destructor More...
void | setName (std::string value)
| set the new value for the property name More...
void | setDocumentation (std::string documentation)
| set the documentation string More...
virtual std::ostream & | fillStream (std::ostream &) const
| the printout of the property value More...

## Additional Inherited Members
Protected Member Functions inherited from Property
| Property (const std::type_info &type, std::string name="")
| constructor from the property name and the type More...
| Property (std::string name, const std::type_info &type)
| constructor from the property name and the type More...
| Property (const Property &)=default
| copy constructor More...
Property & | operator= (const Property &)=default
| assignment operator More...
Protected Attributes inherited from Property
std::function< void(Property &)> | m_readCallBack
std::function< void(Property &)> | m_updateCallBack

## Detailed Description

### template<>
class SimplePropertyRef< DataObjID >

Definition at line 52 of file DataObjIDProperty.h.

## Constructor & Destructor Documentation

SimplePropertyRef< DataObjID >::SimplePropertyRef | ( | const std::string & | name,
|  | DataObjID & | value
| ) |  |
| inline

Definition at line 56 of file DataObjIDProperty.h.

56 :
57 ::DataObjIDProperty(name, value)
58 {}
DataObjIDProperty::DataObjIDProperty
DataObjIDProperty(const std::string &name, DataObjID &ref)
Definition: DataObjIDProperty.cpp:171

virtual SimplePropertyRef< DataObjID >::~SimplePropertyRef | ( |  | ) |
| inline virtual

virtual Destructor

Definition at line 61 of file DataObjIDProperty.h.

61 {}

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/DataObjIDProperty.h